function get_transtype(){
			if($('#transtype').val()=="2"){
					$('#whs_awal').show();	
				}else{
					$('#whs_awal').hide();	
					}
}
	
	
function validation(url){
			if($('#twhs').val()==""){
				alert("Lokasi Gudang Belum Di Pilih");
				$('#twhs').focus();
				}
			else if($('#transtype').val()==""){
				alert("Tipe Transaksi Tidak Boleh Kosong");
				$('#transtype').focus();
				}
			else if($('#totalcb').val()==0){
				alert("Qty Produk Tidak Boleh Kosong");
				$('#pm0').focus();
				}
			else{
				dosubmit(url);
				}
				
}

function get_ums(i){
	query = {
			pm_autoid:$('#pm_autoid'+i).val(),
			row:i
			}
			
		$.post('get_ums',query,function(e){
				$("#pm_ums"+i).html(e);
			})
	}

	
function calc_cb(){
					xrow = new Number($('#row').val());
					amount = 0;
					for(i=0;i<xrow;i++){
						amount = amount + new Number($('#qty'+i).val());
						
						}
						$('#jmlcb').text(formatDecimal(amount));
						$('#totalcb').val(amount);
	}

function get_barcode(i){
	prev = i-1;
	
	query = {pm:$('#pm_barcode'+i).val(),row:i}
	
	$.post('getbarcode.php',query,function(e){
		$('#chk').html(e);
		pm_autoid = $('#_pm_autoid').val();
		pm_name = $('#_pm_name').val()
		hrg_beli = $('#_hrg_beli').val()
				if($('#pm_barcode'+i).val()==$('#pm_barcode'+prev).val()){
				$("#pm_autoid"+i).val('');
				$("#pm"+i).val('');
				$("#pm_bprice"+i).val('');			
				$('#qty'+i).val('');
				qty = 	new Number($('#qty'+prev).val());
				$('#qty'+prev).val(qty+1);
				calc_cb();
				$('#pm_barcode'+i).val('');
				$('#pm_barcode'+i).focus();
				}
			else{
			$("#pm_autoid"+i).val(pm_autoid);
			$("#pm"+i).val(pm_name);
			$("#pm_bprice"+i).val(hrg_beli);			
			$('#qty'+i).val(1);
			if(pm_name){
				get_ums(i);
			}
			calc_cb();
				add_detailrow();				
				}	
		

	})
}
	
function pm_auto_complete(i){
	

		$("#pm"+i).autocomplete('getproduct.php', {
			width: 450,
			matchContains: true,
			selectFirst: false
		});
		
			$("#pm"+i).result(function(event, data, formatted) {
				$("#pm_autoid"+i).val(data[1]);
				$("#price"+i).val(data[3]);
				$("#stok"+i).val(data[4]);
			});
}


function add_detailrow(){

			xrow = new Number($('#row').val());
			
			query = {id:1,row:xrow}			
			
			nextrow = xrow + 1;
			
			$.post('getnewrow',query,function(data){
					$("#jt_table").last().append(data);
					$('#row').val(nextrow);
					$('#pm_barcode'+xrow).focus();
				})
}		
			
function chk_field(i){
			
				pm_autoid 	= new Number($('#pm_autoid'+i).val());
				qty 		= new Number($('#qty'+i).val());
				
				row = $('#row').val();
				curr  = new Number(i);
				
				if(curr+1==row){
					if(pm_autoid + qty > 0){
						add_detailrow();
					}
				}
	}